<?php

namespace App;

use DateTimeInterface;
use Illuminate\Database\Eloquent\Model;

class Admin extends Model
{
    protected $fillable = ['name', 'role', 'username', 'password', 'permissions', 'login_otp', 'email', 'mobile_number', 'auth_secret', 'logged_in'];
    protected $hidden = ['password', 'updated_at', 'login_otp', 'auth_secret', 'logged_in'];
    protected $appends = [];
    protected $casts = ['permissions' => 'json', 'superman' => 'bool', 'logged_in' => 'bool'];


    // Attributes
    //
    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}
