<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Log;

class BankingRequest extends Model
{
    protected $fillable = [
        'business_id',
        'name',
        'email',
        'phone',
        'interest',
        'message',
        'status',
        'created_at',
        'updated_at',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = ['business'];
    protected $casts = [];

    // Attributes
    //
    public function getBusinessAttribute()
    {
        return Business::find($this->business_id);
    }
}