<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class BusinessCardReader extends Model
{
    protected $fillable = [
        'name',
        'connectivity', //Bluetooth, Wifi, Internet
        'ip',
        'port',
        'merchant_key',
        'merchant_secret',
        'business_id',
        'card_reader_id',
        's_terminal_id',
        's_location_id',
        's_registration_code',
        'serial_number',
        'isUsb',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = ['disabled' => 'bool', 'isUsb' => 'bool'];

    // Attributes
    //
}
