<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class BusinessPlan extends Model
{
    protected $fillable = [
        'plan_id',
        'business_id',
        'service',
        'from_date',
        'to_date',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = ['plans'];
    protected $casts = [];

    // Attributes
    //
    public function getPlansAttribute()
    {
        return $this->plans();
    }
    public function plans()
    {
        return Plan::where('id', $this->plan_id)->first();
    }
}
