<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class CashTransaction extends Model
{
    protected $fillable = [
        'business_id',
        'amount',
        'device_id',
        'updater_id',
    ];

    public function business()
    {
        return $this->hasOne(Business::class, 'business_id', 'id');
    }
}
