<?php

namespace App\Console\Commands;

use App\Business;
use App\Jobs\ConnectTransferJob;
use Illuminate\Console\Command;
use App\Jobs\ReportCreatorJob;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Queue;

class StripeTransactionTransferrer extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'StripeTransactionTransferrer:create';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Cron for transferring amount to another account';

    public static $process_busy = false;

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        // Queue::later(Carbon::now(), new ConnectTransferJob());
    }
}
