<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class DatabaseServer extends Model
{
    protected $fillable = [
        'name',
        'public_ip',
        'local_ip',
        'username',
        'password',
        'port',
    ];
    protected $hidden = ['updated_at'];

    // Attributes
    //
    public function getBusinessAttribute()
    {
        return $this->business();
    }
    public function business()
    {
        return Business::where('database_server_id', $this->id)->get();
    }
}
