<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\Exportable;
use Maatwebsite\Excel\Concerns\WithMultipleSheets;

class MultiplePayoutReportExport implements WithMultipleSheets
{
    use Exportable;
    public $invoices;
    public function __construct($invoices)
    {
        $this->invoices = $invoices;
    }
    public function sheets(): array
    {
        $sheets = [];
        foreach ($this->invoices as $report) {
            $sheets[] = new PayoutReportExport($report);
        }
        return $sheets;
    }
}
