<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class HardwareOrderItem extends Model
{
    protected $fillable = [
        'order_id',
        'customer_id',
        'product_id',
        'product_name',
        'product_price',
        'tax',
        'total',
        'quantity',
        'created_at',
        'updated_at',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = [
        'tax' => 'integer',
    ];

    // Attributes
    //
}
