<?php

namespace App\Http\Controllers\Tiffintom;

use App\Helpers\Utils;
use App\Http\Controllers\Controller;
use App\ModelsTiffintom\TiffintomRestaurantTiming;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

class TiffintomRestaurantTimingController extends Controller
{
    public function create_update(Request $req)
    {
        $this->validate($req, [
            'restaurant_id' => 'required|exists:tiffintom_connection.restaurants,id',
            'pick_working_time' => 'required|string',
            'pick_monday_first_opentime' => 'required|string',
            'pick_monday_first_closetime' => 'required|string',
            'pick_monday_second_opentime' => 'required|string',
            'pick_monday_second_closetime' => 'required|string',
            'pick_tuesday_first_opentime' => 'required|string',
            'pick_tuesday_first_closetime' => 'required|string',
            'pick_tuesday_second_opentime' => 'required|string',
            'pick_tuesday_second_closetime' => 'required|string',
            'pick_wednesday_first_opentime' => 'required|string',
            'pick_wednesday_first_closetime' => 'required|string',
            'pick_wednesday_second_opentime' => 'required|string',
            'pick_wednesday_second_closetime' => 'required|string',
            'pick_thursday_first_opentime' => 'required|string',
            'pick_thursday_first_closetime' => 'required|string',
            'pick_thursday_second_opentime' => 'required|string',
            'pick_thursday_second_closetime' => 'required|string',
            'pick_friday_first_opentime' => 'required|string',
            'pick_friday_first_closetime' => 'required|string',
            'pick_friday_second_opentime' => 'required|string',
            'pick_friday_second_closetime' => 'required|string',
            'pick_saturday_first_opentime' => 'required|string',
            'pick_saturday_first_closetime' => 'required|string',
            'pick_saturday_second_opentime' => 'required|string',
            'pick_saturday_second_closetime' => 'required|string',
            'pick_sunday_first_opentime' => 'required|string',
            'pick_sunday_first_closetime' => 'required|string',
            'pick_sunday_second_opentime' => 'required|string',
            'pick_sunday_second_closetime' => 'required|string',
            'pick_monday_status' => 'string',
            'pick_tuesday_status' => 'string',
            'pick_wednesday_status' => 'string',
            'pick_thursday_status' => 'string',
            'pick_friday_status' => 'string',
            'pick_saturday_status' => 'string',
            'pick_sunday_status' => 'string',
        ]);
        $restaurantTiming = TiffintomRestaurantTiming::where('restaurant_id', $req->input('restaurant_id'))->first();
        if (empty($restaurantTiming)) {
            $restaurantTiming = new TiffintomRestaurantTiming();
        }
        $restaurantTiming->fill($req->all());
        $restaurantTiming->save();
        return $restaurantTiming;
    }
}
