<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class InvoicePayLink extends Model
{
    protected $fillable = [
        'invoice_id',
        'name',
        'email',
        'mobile_number',
        'publishkey',
        'secretkey',
        'description',
        'descriptor',
        'amount',
        'shortn',
        'payment_id',
        'status',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = [
        'amount' => 'double',
    ];

    // Attributes
    //
}
