<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class MiscInvoiceItem extends Model
{
    protected $fillable = [
        'misc_invoice_id',
        'rate',
        'quantity',
        'total',
        'description',
        'date',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = ['rate' => 'double', 'quantity' => 'int', 'total' => 'double'];

    // Attributes
    //
}
