<?php

namespace App\ModelsConnect;

use Illuminate\Database\Eloquent\Model;

class ExternalAccount extends Model
{
    protected $table = "external_accounts";
    protected $fillable = [
        'connect_account_id',
        's_bank_account_id',
        's_account_id',
        'business_id',
        'account_number',
        'routing_number',
        'description',
        'account_holder_name',
        'account_holder_type',
        'country',
        'currency',
        'default',
        'is_customer',
        'description',
        'statement_descriptor',
    ];
    protected $hidden = ['updated_at'];
    protected $casts = ['default' => 'bool', 'is_customer' => 'bool'];
}
