<?php

namespace App\ModelsConnect;

use Illuminate\Database\Eloquent\Model;

class Person extends Model
{
    protected $table = "persons";
    protected $fillable = [
        'connect_account_id',
        'company_id',

        'first_name',
        'last_name',
        'email',
        'phone_number',
        'title',
        'id_number',
        'dob',

        'line1',
        'line2',
        'city',
        'state',
        'postal_code',

        'owner',
        'director',
        'executive',
        'account_opener',
        'representative',
    ];
    protected $hidden = ['updated_at'];
}
