<?php

namespace App\ModelsEpos;

use Illuminate\Database\Eloquent\Model;

class EposDeliveryCharge extends Model
{
    protected $table = 'delivery_charges';
    protected $connection = "epos_connection";
    protected $fillable = [
        'distance',
        'charge',
    ];
    protected $hidden = ['updated_at'];
    protected $casts = ['disabled' => 'bool', 'distance' => 'double', 'charge' => 'double'];
}
