<?php

namespace App\ModelsEpos;

use App\Business;
use Illuminate\Database\Eloquent\Model;

class EposDiscount extends Model
{
    protected $table = 'discounts';
    protected $connection = "epos_connection";
    protected $fillable = ['order_type_id', 'week_day', 'discount', 'discount_type', 'minimum_value', 'start_date', 'end_date'];
    protected $hidden = ['updated_at'];
    protected $casts = [
        'discount' => 'double',
        'minimum_value' => 'double'
    ];
}
