<?php

namespace App\ModelsEpos;

use App\Helpers\ImageHelper;
use Illuminate\Database\Eloquent\Model;

class EposExternalPayment extends Model
{
    protected $table = 'external_payments';
    protected $connection = "epos_connection";
    protected $fillable = [
        'payment_method_id',
        'payment_method_name',
        'amount',
        'status',
        'updater_id',
        'created_at',
        'updated_at',
    ];
    protected $attributes = [];
    protected $casts = [
        'amount' => 'double',
    ];

    // Attributes
    //
}
