<?php

namespace App\ModelsEpos;

use App\Business;
use Illuminate\Database\Eloquent\Model;

class EposLoyaltyPoint extends Model
{
    protected $table = 'loyalty_points';
    protected $connection = "epos_connection";
    protected $fillable = ['order_type_id', 'reward_type', 'earn_amount', 'earn_point', 'spent_point', 'spent_percentage', 'minimum_order_value', 'validity'];
    protected $hidden = ['updated_at'];
}
