<?php

namespace App\ModelsEpos;

use Illuminate\Database\Eloquent\Model;

class EposOrderItemIngredient extends Model
{
    protected $table = 'order_item_ingredients';
    protected $connection = "epos_connection";
    protected $fillable = [
        'order_item_id',
        'updater_id',
        'product_ingredient_id',
        'with',
        'without',
        'price',
        'quantity',
        'total',
    ];
    protected $hidden = ['updated_at'];
    protected $casts = ['with' => 'bool', 'without' => 'bool'];

}
