<?php

namespace App\ModelsEpos;

use Illuminate\Database\Eloquent\Model;

class EposOrderPayment extends Model
{
    protected $table = 'order_payments';
    protected $connection = "epos_connection";
    protected $fillable = [
        'order_id',
        'order_split_id',
        'payment_method_id',
        'voucher_id',
        'updater_id',
        'amount',
        'cheque_number',
        'cc_number',
        'txn_id',
        'mode',
        'unique_id',
    ];
    protected $hidden = ['updated_at'];
    protected $casts = ['paid_amount' => 'double'];
}
