<?php

namespace App\ModelsEpos;

use Illuminate\Database\Eloquent\Model;

class EposPrepLocation extends Model
{
    protected $table = 'preparation_locations';
    protected $connection = "epos_connection";
    protected $fillable = [
        'printer_id',
        'name',
        'cash_draw',
    ];
    protected $casts = [
        'cash_draw' => 'bool',
    ];
    protected $hidden = ['updated_at'];
}
