<?php

namespace App\ModelsEpos;

use Illuminate\Database\Eloquent\Model;

class EposSetting extends Model
{
    protected $table = 'settings';
    protected $connection = "epos_connection";
    protected $fillable = [
        'name',
        'key',
        'value',
        'comment',
        'hint',
        'setting_group',
        'data_type',
        'expected_values',
        'sequence',
        'is_editable',
        'disabled',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = ['is_editable' => 'bool', 'disabled' => 'bool'];
}
