<?php

namespace App\ModelsEpos;

use Illuminate\Database\Eloquent\Model;

class EposTableVisitor extends Model
{
    protected $table = 'table_visitors';
    protected $connection = "epos_connection";
    protected $fillable = [
        'table_id',
        'customer_id',
        'guests',
        'start_time',
        'end_time',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = ['disabled' => 'bool'];

    // Attributes
    //
}
