<?php

namespace App\ModelsEpos;

use Illuminate\Database\Eloquent\Model;

class EposUserGroup extends Model
{
    protected $table = 'user_groups';
    protected $connection = "epos_connection";
    protected $fillable = [
        'name',
        'description',
        'permissions',
    ];
    protected $casts = ['permissions' => 'json'];
    protected $hidden = ['updated_at'];
}
