<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomAccountAnswer extends Model
{
    protected $table = "account_help_answer";
    protected $connection = "tiffintom_connection";
    protected $casts = [];
    protected $fillable = [
        'id',
        'account_id',
        'question',
        'answer',
        'sortorder',
        'status',
    ];
    protected $hidden = ['created'];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'created';
}
