<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomAccountHelp extends Model
{
    protected $table = "account_help";
    protected $connection = "tiffintom_connection";
    protected $casts = [];
    protected $fillable = [
        'id',
        'name',
        'sortorder',
        'status',
    ];
    protected $hidden = ['created'];
    protected $appends = ['account_answer'];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'created';

    // Attributes
    //
    public function getAccountAnswerAttribute()
    {
        $answer = TiffintomAccountAnswer::where('account_id', $this->id)->orderBy('sortorder', 'DESC')->get();
        return $answer;
    }
}
