<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomCheckoutList extends Model
{
    protected $table = "checkout_list";
    protected $connection = "tiffintom_connection";
    protected $casts = [
        'status' => 'bool'
    ];
    protected $fillable = [
        'id',
        'restaurant_id',
        'order_type',
        'message',
        'status',
    ];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'created';
}
