<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomContact extends Model
{
    protected $table = "contact";
    protected $connection = "tiffintom_connection";
    protected $casts = [
        'status' => 'bool',
        'verify' => 'bool',
    ];
    protected $fillable = [
        'name',
        'email',
        'phone',
        'subject',
        'message',
        'department',
        'otp',
        'status',
        'verify',
    ];
    protected $hidden = ['otp'];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'created';
}
