<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomCountry extends Model
{
    protected $table = "countries";
    protected $connection = "tiffintom_connection";
    protected $fillable = [
        'id',
        'country_name',
        'currency_name',
        'currency_code',
        'currency_symbol',
        'phone_code',
        'iso_code',
        'status',
        'delete_status',
    ];
    protected $hidden = [];
    protected $appends = [];
    protected $casts = [
        'status' => 'bool',
    ];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';

    // Attributes
    //
}
