<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomDietary extends Model
{
    protected $table = "dietary";
    protected $connection = "tiffintom_connection";
    protected $casts = [
        'status' => 'bool'
    ];
    protected $fillable = [
        'name',
        'status',
    ];
    protected $hidden = ['modified'];
    protected $appends = [];

    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';

    // Attributes
    //
}
