<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomDineinMainAddon extends Model
{
    protected $table = "dinein_mainaddons";
    protected $connection = "tiffintom_connection";
    protected $casts = [
        'status' => 'bool'
    ];
    protected $fillable = [
        'id',
        'restaurant_id',
        'category_id',
        'admin_name',
        'mainaddons_name',
        'mainaddons_mini_count',
        'mainaddons_count',
        'sortorder',
        'delete_status',
        'status',
    ];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';
    protected $appends = ['sub_addons'];
    public function getSubAddonsAttribute()
    {
        return $this->sub_addons()->get();
    }
    public function sub_addons()
    {
        return $this->hasMany('App\ModelsTiffintom\TiffintomDineinSubAddon', 'mainaddons_id', 'id');
    }
}
