<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomFavouriteRestaurant extends Model
{
    protected $table = "favourite_restaurant";
    protected $connection = "tiffintom_connection";
    protected $casts = [
        'is_favourite' => 'bool',
    ];
    protected $fillable = [
        'restaurant_id',
        'customer_id',
        'is_favourite',
    ];

    const CREATED_AT = 'created';
    const UPDATED_AT = 'created';
}
