<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomKeyword extends Model
{
    protected $table = "keyword";
    protected $connection = "tiffintom_connection";
    protected $fillable = [
        'id',
        'key_type',
        'keyword_type',
        'keyword_value',
        'page_type',
        'status',
    ];
    protected $casts = [];
    protected $hidden = [];

    const CREATED_AT = 'created';
    const UPDATED_AT = 'created';
}
