<?php

namespace App\ModelsTiffintom;

use App\Helpers\ImageHelper;
use Illuminate\Database\Eloquent\Model;

class TiffintomLanguageContent extends Model
{
    protected $table = "language_contents";
    protected $connection = "tiffintom_connection";
    protected $fillable = [
        'language_id',
        'msgid',
        'msgstr',
    ];
    protected $appends = [];
    protected $casts = [];

    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';
}
