<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomMainAddon extends Model
{
    protected $table = "mainaddons";
    protected $connection = "tiffintom_connection";
    protected $casts = [
        'status' => 'bool'
    ];
    protected $fillable = [
        'id',
        'restaurant_id',
        'category_id',
        'admin_name',
        'mainaddons_name',
        'mainaddons_mini_count',
        'mainaddons_count',
        'sortorder',
        'delete_status',
        'status',
    ];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';
    protected $appends = ['sub_addonses'];
    public function getSubAddonsesAttribute()
    {
        return $this->sub_addonses()->get();
    }
    public function sub_addonses()
    {
        return $this->hasMany('App\ModelsTiffintom\TiffintomSubAddon', 'mainaddons_id', 'id');
        // return $this->hasMany(TiffintomSubAddon::class, 'mainaddons_id', 'id');
    }
}
