<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomOfferMultiplePrice extends Model
{
    protected $table = "multiple_price_offer";
    protected $connection = "tiffintom_connection";
    protected $casts = [
        'status' => 'bool',
        'delivery_type' => 'bool',
        'pickup_type' => 'bool',
        'dinein_type' => 'bool'
    ];
    protected $fillable = [
        'id',
        'resid',
        'purchase_price',
        'offer_id',
        'offer_qty',
        'delivery_type',
        'pickup_type',
        'dinein_type',
        'offer_from',
        'offer_to',
        'status',
    ];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';
}
