<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomPaymentPlan extends Model
{
    protected $table = "payment_plan";
    protected $connection = "tiffintom_connection";
    protected $casts = [];
    protected $fillable = [
        'plan_name',
        'stripe_mode',
        'stripe_secretkey',
        'stripe_publishkey',
        'stripe_secretkeyTest',
        'stripe_publishkeyTest',
        'paypal_mode',
        'test_clientid',
        'test_secretkey',
        'live_clientid',
        'live_secretkey',
        'status',
        'delete_status',
    ];
    protected $hidden = [];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';
}
