<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomRestaurantVoucher extends Model
{
    protected $table = "restaurantvoucher";
    protected $connection = "tiffintom_connection";
    protected $casts = [
        'status' => 'bool',
        'delivery_type' => 'bool',
        'pickup_type' => 'bool',
        'dinein_type' => 'bool'
    ];
    protected $fillable = [
        'id',
        'restaurant_id',
        'day',
        'voucher_code',
        'device_type',
        'type_offer',
        'offer_mode',
        'offer_value',
        'minimum_value',
        'multiple_value',
        'delivery_type',
        'pickup_type',
        'dinein_type',
        'voucher_from',
        'voucher_to',
        'status',
    ];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';
}
