<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomStaticPage extends Model
{
    protected $table = "staticpages";
    protected $connection = "tiffintom_connection";
    protected $casts = [];
    protected $fillable = [
        'title',
        'section',
        'seo_url',
        'sortorder',
        'content',
        'status',
        'delete_status',
    ];
    protected $hidden = [];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';
}
