<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomUrl extends Model
{
    protected $table = "urls";
    protected $connection = "tiffintom_connection";
    protected $fillable = [
        'id',
        'package_name',
        'url',
        'delete_status',
        'status',
    ];
    protected $casts = [
        'status' => 'bool',
    ];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'created';
}
