<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomVoucher extends Model
{
    protected $table = "vouchers";
    protected $connection = "tiffintom_connection";
    protected $fillable = [
        'day',
        'voucher_code',
        'type_offer',
        'offer_mode',
        'free_delivery',
        'offer_value',
        'minimum_value',
        'eligible_points',
        'voucher_from',
        'voucher_to',
        'status',
    ];
    protected $casts = [
        'status' => 'bool',
    ];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';
}
