<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class OnlineOrderCommission extends Model
{
    protected $table = 'order_commissions';
    protected $fillable = [
        'online_order_id',
        'online_commission_fee_type',
        'online_commission_fee',

        'dinein_commission_fee_type',
        'dinein_commission_fee',

        'online_cod_fee_type',
        'online_cod_fee',
        'online_paypal_fee_type',
        'online_paypal_fee',
        'online_card_fee_type',
        'online_card_fee',
        'online_service_fee_status',
        'online_service_fee_type',
        'online_service_fee',

        'dinein_service_fee_status',
        'dinein_service_fee_type',
        'dinein_service_fee',

        'order_charge_type', //order_based, transaction_based
        'per_order_charge_type',
        'per_order_charge',

        'cod_charge_type',
        'cod_charge',

        'paypal_charge_type',
        'paypal_charge',

        'card_charge_type',
        'card_charge',

        'cash_handling_fee_type',
        'cash_handling_fee',

        'charges_refundable'  //no, yes
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];

    // Attributes
    //
}
