<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ResellerCommission extends Model
{
    protected $fillable = [
        'user_id',
        'business_id',

        'cash_handling_fee_type',
        'cash_handling_fee',
        'cash_handling_per_amount',

        'management_fee_type',
        'management_fee',

        'connect_card_processing_fee_type',
        'connect_card_processing_fee',
        'connect_card_auth_fee_type',
        'connect_card_auth_fee',

        'merchant_card_processing_fee_type',
        'merchant_card_processing_fee',

        'merchant_card_auth_fee_type',
        'merchant_card_auth_fee',

        'online_commission_fee_type',
        'online_commission_fee',

        'dinein_commission_fee_type',
        'dinein_commission_fee',

        'online_cod_fee_type',
        'online_cod_fee',
        'online_paypal_fee_type',
        'online_paypal_fee',
        'online_card_fee_type',
        'online_card_fee',
        'online_service_fee_status',
        'online_service_fee_type',
        'online_service_fee',

        'dinein_service_fee_status',
        'dinein_service_fee_type',
        'dinein_service_fee',

        'order_charge_type', //order_based, transaction_based
        'per_order_charge_type',
        'per_order_charge',

        'cod_charge_type',
        'cod_charge',

        'paypal_charge_type',
        'paypal_charge',

        'card_charge_type',
        'card_charge',

        'charge_back_fee_type',
        'charge_back_fee',

        'charges_refundable'  //no, yes
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];

    // Attributes
    //
}
