<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ResellerStripeCommission extends Model
{
    protected $fillable = [
        'user_id',
        'stripe_transaction_id',

        'cash_handling_fee_type',
        'cash_handling_fee',
        'cash_handling_per_amount',

        'management_fee_type',
        'management_fee',

        'connect_card_processing_fee_type',
        'connect_card_processing_fee',
        'connect_card_auth_fee_type',
        'connect_card_auth_fee',

        'merchant_card_processing_fee_type',
        'merchant_card_processing_fee',

        'merchant_card_auth_fee_type',
        'merchant_card_auth_fee',

        'charge_back_fee_type',
        'charge_back_fee',

        'charges_refundable'  //no, yes
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];

    // Attributes
    //
}
