<?php

namespace App;

use App\Helpers\ImageHelper;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Log;

class SupportContact extends Model
{
    protected $fillable = [
        'first_name',
        'last_name',
        'email',
        'subject',
        'message',
        'respond',
        'created_at',
        'updated_at',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = [];

    // Attributes
    //
}
