<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Ticket extends Model
{
    protected $fillable = [
        'name',
        'email',
        'phone_number',
        'subject',
        'message',
        'status',
        'verified',
        'disabled'
    ];
    protected $hidden = ['updated_at', 'otp'];
    protected $appends = [];
    protected $casts = ['disabled' => 'bool', 'verified' => 'bool'];

    // Attributes
    //
}
