<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Log;

class Tutorial extends Model
{
    protected $fillable = [
        'title',
        'link',
        'description',
        'disabled',
        'created_at',
        'updated_at',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = ['disabled' => 'bool',];

    // Attributes
    //
}
