<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class UbsidiPaymentGatewayKey extends Model
{
    protected $table = 'ubsidi_payment_gateway_keys';

    protected $fillable = [
        'business_id',
        'test_public_key',
        'test_secret_key',
        'public_key',
        'secret_key'
    ];

    public function business()
    {
        return $this->belongsTo(Business::class, 'business_id', 'id');
    }
}
