<?php

return [
    'default' => 'mysql',
    'migrations' => 'migrations',
    'connections' => [
        'mysql' => [
            'driver' => 'mysql',
            'host' => env('DB_HOST'),
            'database' => env('DB_DATABASE'),
            'username' => env('DB_USERNAME'),
            'password' => env('DB_PASSWORD'),
            'port' => env('DB_PORT', 3306),
            'charset'   => 'utf8',
            'collation' => 'utf8_unicode_ci',
            'strict'    => false,
            'migrations' => 'migrations'
        ],
        'postcode' => [
            'driver' => 'mysql',
            'host' => env('POSTCODE_DB_HOST'),
            'database' => env('POSTCODE_DB_DATABASE'),
            'username' => env('POSTCODE_DB_USERNAME'),
            'password' => env('POSTCODE_DB_PASSWORD'),
            'port' => env('POSTCODE_DB_PORT', 3306),
            'charset'   => 'utf8',
            'collation' => 'utf8_unicode_ci',
            'strict'    => false,
            'migrations' => 'migrations'
        ],
        'tiffintom_connection' => [
            'driver' => 'mysql',
            'host' => env('TIFFINTOM_DB_HOST'),
            'database' => env('TIFFINTOM_DB_DATABASE'),
            'username' => env('TIFFINTOM_DB_USERNAME'),
            'password' => env('TIFFINTOM_DB_PASSWORD'),
            'port' => env('TIFFINTOM_DB_PORT', 3306),
            'charset'   => 'utf8',
            'collation' => 'utf8_unicode_ci',
            'strict'    => false,
            'migrations' => 'migrations'
        ],
        'test_epos' => [
            'driver' => 'mysql',
            'host' => env('EPOS_DB_HOST'),
            'database' => env('EPOS_DB_DATABASE'),
            'username' => env('EPOS_DB_USERNAME'),
            'password' => env('EPOS_DB_PASSWORD'),
            'charset'   => 'utf8',
            'collation' => 'utf8_unicode_ci',
            'strict'    => false,
            'migrations' => 'migrations'
        ]
    ]
];
