<?php

return [
    'disks' => [
        'ubsidi' => [
            'driver' => 'sftp',
            'host' => env('FTP_HOST'),
            'username' => env('FTP_USERNAME'),
            'password' => env('FTP_PASSWORD'),
            'port' => env('FTP_PORT'),
            'root' => env('FTP_UPLOAD_PATH'), // for example: /var/www/html/ubsidi,
            'permPublic' => 0775,
            'visibility' => 'public',
            'directoryPerm' => 0775, // whatever you want
        ],
        'tiffintom' => [
            'driver' => 'sftp',
            'host' => env('FTP_HOST_TIFFINTOM'),
            'username' => env('FTP_USERNAME_TIFFINTOM'),
            'password' => env('FTP_PASSWORD_TIFFINTOM'),
            'port' => env('FTP_PORT_TIFFINTOM'),
            'root' => env('FTP_UPLOAD_PATH_TIFFINTOM'), // for example: /var/www/html/net || /var/www/html/tiffintom_com,
            'permPublic' => 0775,
            'visibility' => 'public',
            'directoryPerm' => 0775, // whatever you want
        ],
        'public' => [
            'driver' => 'local',
            'root' => storage_path('app/public'), // for example: /var/www/html/dev/images,
            'visibility' => 'public',
        ],
    ],
];
