<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTotalRefundTransactionsToPayoutInvoicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('payout_invoices', function (Blueprint $table) {
            $table->integer('total_refund_transactions')->after('total_non_domestic_transactions')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('payout_invoices', function (Blueprint $table) {
            //
        });
    }
}
