<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddPayoutCommentToPayoutInvoicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('payout_invoices', function (Blueprint $table) {
            $table->longText('payout_comment')->after('comment')->comment('e.g Call me before paying in bank. something like that. cloned from business details')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('payout_invoices', function (Blueprint $table) {
            //
        });
    }
}
