<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddHandlingChargeToOrderCommissionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('order_commissions', function (Blueprint $table) {
            $table->enum('cash_handling_fee_type', ['flat', 'percentage'])->default('percentage')->after('card_charge');
            $table->double('cash_handling_fee')->default(0)->after('cash_handling_fee_type');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('order_commissions', function (Blueprint $table) {
            //
        });
    }
}
