<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCashHandlingPerAmountToBusinessCommissionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('business_commissions', function (Blueprint $table) {
            $table->double('cash_handling_per_amount')->default(0)->after('cash_handling_fee');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('business_commissions', function (Blueprint $table) {
            //
        });
    }
}
