<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddFeesToPayoutInvoicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('payout_invoices', function (Blueprint $table) {
            $table->float('handling_fee')->default(0)->after('gross_fee');
            $table->float('management_fee')->default(0)->after('handling_fee');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('payout_invoices', function (Blueprint $table) {
            //
        });
    }
}
