<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddConnectScheduledFeesToBusinessCommissionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('business_commissions', function (Blueprint $table) {
            $table->double('connect_monthly_fee')->after('weekly_fee')->default(0);
            $table->double('connect_weekly_fee')->after('connect_monthly_fee')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('business_commissions', function (Blueprint $table) {
            //
        });
    }
}
