<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;

class ChangeConnectivityInCardReadersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('card_readers', function (Blueprint $table) {
            DB::statement("ALTER TABLE business_card_readers MODIFY connectivity ENUM('Bluetooth', 'Wifi', 'Internet','StripeBluetooth','POSBluetooth') NOT NULL");
            DB::statement("ALTER TABLE card_readers MODIFY connectivity ENUM('Bluetooth', 'Wifi', 'Internet','StripeBluetooth','POSBluetooth') NOT NULL");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('card_readers', function (Blueprint $table) {
            //
        });
    }
}
