<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddPayoutChargeToResellerPayoutInvoiceGroupsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('reseller_payout_invoice_groups', function (Blueprint $table) {
            $table->double('payout_charge')->default(0)->after('to_date');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('reseller_payout_invoice_groups', function (Blueprint $table) {
            //
        });
    }
}
