<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddAutoChargeWeeklyToBusinessCommissionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('business_commissions', function (Blueprint $table) {
            $table->enum('auto_charge_weekly', ['no', 'yes'])->default('no')->after('charges_refundable');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('business_commissions', function (Blueprint $table) {
            //
        });
    }
}
