<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddNumberOfPrintToBusinessesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('businesses', function (Blueprint $table) {
            $table->integer('day_of_transaction_limit')->default(1)->after('print_logo');
            $table->integer('delivery_number_of_print')->default(1)->after('day_of_transaction_limit');
            $table->integer('collection_number_of_print')->default(1)->after('delivery_number_of_print');
            $table->integer('online_order_number_of_print')->default(1)->after('collection_number_of_print');
            $table->integer('dinein_number_of_print')->default(1)->after('online_order_number_of_print');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('businesses', function (Blueprint $table) {
            //
        });
    }
}
