<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTaxToHardwareOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('hardware_orders', function (Blueprint $table) {
            $table->decimal('tax', 10, 2)->default(0)->after('sub_total');
            $table->string('voucher_code')->nullable()->after('tax');
            $table->decimal('offer_amount', 10, 2)->default(0)->after('voucher_code');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('hardware_orders', function (Blueprint $table) {
            //
        });
    }
}
