<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDescriptoinFieldInBusinessBacsDirectTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('business_bacs_direct', function (Blueprint $table) {
            $table->string('description')->nullable()->after('title');
            $table->string('statement_descriptor')->nullable()->after('description');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('business_bacs_direct', function (Blueprint $table) {
            $table->dropColumn('description');
            $table->dropColumn('statement_descriptor');
        });
    }
}
