<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddBeneficiaryTypeToCaxtonBeneficiariesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('caxton_beneficiaries', function (Blueprint $table) {
            $table->enum('beneficiary_type', ['Entity', 'Individual'])->default('Entity')->after('notes');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('caxton_beneficiaries', function (Blueprint $table) {
            //
        });
    }
}
