<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddGroupIdToCaxtonWalletsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('caxton_wallets', function (Blueprint $table) {
            $table->unsignedBigInteger('group_id')->nullable()->after('business_id');

            $table->foreign('group_id')->references('id')->on('caxton_wallet_groups')->onDelete('set NULL');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('caxton_wallets', function (Blueprint $table) {
            //
        });
    }
}
