<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddUpdaterIdToPouchHistoryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('pouch_history', function (Blueprint $table) {
            $table->unsignedBigInteger('updater_id')->nullable()->after('is_admin');

            $table->foreign('updater_id')->references('id')->on('admins')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('pouch_history', function (Blueprint $table) {
            //
        });
    }
}
