<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class RemoveUpdaterIdToPouchHistoryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('pouch_history', function (Blueprint $table) {
            $table->dropForeign('pouch_history_updater_id_foreign');
            $table->dropColumn('updater_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('pouch_history', function (Blueprint $table) {
        });
    }
}
