<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddRemarkToPouchHistoryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('pouch_history', function (Blueprint $table) {
            $table->longText('remark')->nullable()->after('transaction_category');
            $table->string('wallet_id')->nullable()->after('remark');
            $table->enum('device_type', ['Web', 'Android', 'iOS'])->default('Web')->after('wallet_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('pouch_history', function (Blueprint $table) {
            //
        });
    }
}