<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddShoperIdToCaxtonPayoutRequestsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('caxton_payout_requests', function (Blueprint $table) {
            $table->string("shop_order_id")->nullable()->after("rejection_note");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('caxton_payout_requests', function (Blueprint $table) {
            //
        });
    }
}
