<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddArchiveToCaxtonBeneficiariesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('caxton_beneficiaries', function (Blueprint $table) {
            $table->boolean("archive")->default(0)->after("beneficiary_type");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('caxton_beneficiaries', function (Blueprint $table) {
            //
        });
    }
}
