<?php

namespace Database\Seeders;

use App\ModelsEpos\EposDepositType;
use Illuminate\Database\Seeder;

class DepositTypeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $items = [
            ['id' => 1, 'type' => 'Cash'],
            ['id' => 2, 'type' => 'Card'],
            ['id' => 3, 'type' => 'No Deposit']
        ];
        foreach ($items as $item) {
            EposDepositType::updateOrCreate(['id' => $item['id']], $item);
        }
    }
}
