<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class EposSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $this->call(UserTypeSeeder::class);
        $this->call(UserGroupSeeder::class);
        $this->call(OrderStatusSeeder::class);
        $this->call(OrderActionSeeder::class);
        $this->call(OrderTypeSeeder::class);
        //$this->call(PrinterModelSeeder::class);
        $this->call(ReservationStatusSeeder::class);
        $this->call(DepositTypeSeeder::class);
        //$this->call(ReservationTypeSeeder::class);
        $this->call(TableStatusSeeder::class);
        $this->call(SettingSeeder::class);
        $this->call(PaymentMethodSeeder::class);
    }
}
