<?php

namespace Database\Seeders;

use App\ModelsEpos\EposReservationType;
use Illuminate\Database\Seeder;

class ReservationTypeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $items = [
            ['id' => 1, 'type' => 'Phone', 'top_color' => '#FF5E7E4D', 'bottom_color' => '#000000'],
            ['id' => 2, 'type' => 'Web', 'top_color' => '#FF9D723B', 'bottom_color' => '#000000'],
            ['id' => 3, 'type' => 'Walkin', 'top_color' => '#FF4E743F', 'bottom_color' => '#000000'],
        ];
        foreach ($items as $item) {
            EposReservationType::updateOrCreate(['id' => $item['id']], $item);
        }
    }
}
