<?php

namespace Database\Seeders;

use App\ModelsEpos\EposUserType;
use Illuminate\Database\Seeder;

class UserTypeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $items = [
            ['id' => 1, 'type' => 'Admin', 'top_color' => '#d60000', 'bottom_color' => '#d60000'],
            ['id' => 2, 'type' => 'Waiter', 'top_color' => '#39a4ac', 'bottom_color' => '#39a4ac'],
            ['id' => 3, 'type' => 'Super Admin', 'top_color' => '#e09146', 'bottom_color' => '#e09146'],
            ['id' => 4, 'type' => 'Special', 'top_color' => '#d60000', 'bottom_color' => '#d60000'],
            ['id' => 5, 'type' => 'Customer', 'top_color' => '#998899', 'bottom_color' => '#998899'],
            ['id' => 6, 'type' => 'Nibs', 'top_color' => '#998899', 'bottom_color' => '#998899'],
        ];
        foreach ($items as $item) {
            EposUserType::updateOrCreate(['id' => $item['id']], $item);
        }
    }
}
