<!DOCTYPE html>
<html>

<head>
    <title>Direct Payment Connection</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous">
    </script>
    <script src="https://js.stripe.com/v3"></script>
</head>

<body style="padding: 10px;padding-top: 1.8cm; margin:auto 0px">

    <div class="container">
        <div class="col-md-12 col-sm-12 text-center" style="padding-bottom: 2cm;">
            <img src="./images/ubsidi-logo-color.png" alt="ubsidi main">
        </div>

        <!-- <div class="card shadow rounded-5">
            <div class="card-header">
                <h5 class="text-center">Pay via ubsidi</h5>
            </div>
            <form action="" method="post" id="payment-form">
                <input type="hidden" value="addCard" name="action">
                <input type="hidden" min="0" id="amount" class="form-control" aria-label="Amount (to the nearest pound)">
                <div class='form-row row px-4 py-1'>
                    <div class='col-xs-12 form-group required'>
                        <label class='control-label'>Card Holder Name</label>
                        <input class='form-control' size='4' type='text'>
                    </div>
                </div>
                <div class='form-row row px-4 py-1'>
                    <div class='col-xs-12 form-group required'>
                        <label class='control-label'>Email</label>
                        <input class='form-control' size='4' type='email'>
                    </div>
                </div>
                <div class='form-row row px-4 py-1'>
                    <div class='col-xs-12 form-group required'>
                        <label class='control-label'>Card Number</label>
                        <input autocomplete='off' class='form-control card-number' size='16' type='text'>
                    </div>
                </div>
                <div class='form-row row px-4 py-1'>
                    <div class='col-xs-12 col-md-4 form-group cvc required'>
                        <label class='control-label'>CVC</label>
                        <input autocomplete='off' class='form-control card-cvc' placeholder='ex. 311' size='4' type='text'>
                    </div>
                    <div class='col-xs-12 col-md-4 form-group expiration required'>
                        <label class='control-label'>Expiration Month</label>
                        <input class='form-control card-expiry-month' placeholder='MM' size='2' type='text'>
                    </div>
                    <div class='col-xs-12 col-md-4 form-group expiration required'>
                        <label class='control-label'>Expiration Year</label>
                        <input class='form-control card-expiry-year' placeholder='YYYY' size='4' type='text'>
                    </div>
                </div>
                <div class="row text-center py-2">
                    <div class="col-xs-12 pt-2">
                        <button class="btn btn-primary" style="border: none !important;" id="proceed">
                            <div class="spinner-border spinner-border-sm mx-2 d-none" id="loader" role="status">
                                <span class="visually-hidden">Loading...</span>
                            </div>
                            Pay Now <span id="amountText"> </span>
                        </button>
                    </div>
                </div>
            </form>
        </div> -->

        <div class="card shadow rounded-5">
            <div class="card-header">
                <h5 class="text-center">Pay via ubsidi</h5>
            </div>
            <div class="card-body w-100">
                <form action="" method="post" id="payment-form">
                    <input type="hidden" value="addCard" name="action">
                    <input type="hidden" min="0" id="amount" class="form-control" aria-label="Amount (to the nearest pound)">
                    <div class="form-row" style="padding-bottom: 15px;">
                        <div id="card-element" class="body-box-shadow py-3" style='box-shadow: 0 2px 4px #0000001a, 0 8px 16px #0000001a;height: 2.6em !important; padding: .8em !important;'>
                        </div>

                        <div id="card-errors" role="alert"></div>
                    </div>
                    <div class="text-center">
                        <button class="btn btn-primary" style="border: none !important;" id="proceed">
                            <div class="spinner-border spinner-border-sm mx-2 d-none" id="loader" role="status">
                                <span class="visually-hidden">Loading...</span>
                            </div>
                            Pay Now <span id="amountText"> </span>
                        </button>
                    </div>
                </form>

                <button type="button" class="d-none d-flex align-items-center justify-content-center disabled btn btn-primary text-center w-100 shadow rounded-5 my-3" id="response_button" onclick="finish()">
                    <span id="response_button_text">Payment Successful</span>
                </button>
            </div>
        </div>

        <p id="message" class="mt-1 alert alert-secondary p-2 invisible text-center rounded-bottom border-top-0 mx-2 ">
            Please show your card
        </p>
        <p id="counter" class="mt-1 alert alert-secondary p-2 invisible text-center rounded-bottom border-top-0 mx-2 ">
            this will be redirect on merchat site <span id="count"></span> sec. if you want now <a href="" id="click">click here</a>
        </p>
    </div>

    <script src="./direct-payment.js"></script>

</body>

<script type="text/javascript">

</script>

</html>