<?php ?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Invoice Payment Successfull</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
</head>

<body>
    <div class="container text-center">
        <img class="pt-5" src="./images/tick.png" style="width: 170px;" alt="payment success">
        <h2 class="text-center pt-2">Thanks for your payment</h2>
        <p id="message" class="mt-4 text-center"></p>

        <div class="mt-1 w-100" style="position: relative;">
            <svg class="InlineSVG" focusable="false" width="100%" height="68" viewBox="0 0 384 68" fill="none">
                <path
                    d="M0 3.923C0 1.756 2.686 0 6 0h372c3.314 0 6 1.756 6 3.923V68l-8-5.23-8 5.23-8-5.23-8 5.23-8-5.23-8 5.23-8-5.23-8 5.23-8-5.23-8 5.23-8-5.23-8 5.23-8-5.23-8 5.23-8-5.23-8 5.23-8-5.23-8 5.23-8-5.23-8 5.23-8-5.23-8 5.23-8-5.23-8 5.23-8-5.23-8 5.23-8-5.23-8 5.23-8-5.23-8 5.23-8-5.23-8 5.23-8-5.23-8 5.23-8-5.23L96 68l-8-5.23L80 68l-8-5.23L64 68l-8-5.23L48 68l-8-5.23L32 68l-8-5.23L16 68l-8-5.23L0 68V3.923z"
                    id="Path" fill-opacity=".03" fill="#000" fill-rule="nonzero"></path>
                <path
                    d="M375.646 62.538l-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5-.354-.231-.354.231-7.646 5-7.646-5L8 62.307l-.354.231L.5 67.211V3.923C.5 1.937 2.962.327 6 .327h372c3.038 0 5.5 1.61 5.5 3.596v63.288l-7.146-4.673-.354-.231-.354.231z"
                    id="Path" stroke-opacity=".08" stroke="#000" stroke-width=".5"></path>
            </svg>

            <div class="flex-container direction-row justify-content-space-between align-items-flex-end"
                style="padding: 20px;position: absolute;width: 100%;top:0">
                <span class="flex-container" id="name"
                    style="color: #000000;opacity: .4;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;"></span>
                <span class="flex-container" id="amount"
                    style="color: #000000;opacity: .4;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;"></span>
            </div>
        </div>

        <p class="mt-4 text-center" style="font-weight: 600;">Powered By <a href="https://www.ubsidi.com/"
                class="fw-bold" style="text-decoration: none;color:#000;">Ubsidi</a></p>
        <p class="mt-4 text-center">
            <a href="https://www.ubsidi.com/" class="mr-3"
                style="text-decoration: none;color:#000;font-weight: 600;">Terms | </a>
            <a href="https://www.ubsidi.com/" style="text-decoration: none;color:#000;font-weight: 600;">Privacy</a>
        </p>
    </div>
    <script>
    var url_string = window.location.href;
    var url = new URL(url_string);
    var decrypt = '?' + atob(url.searchParams.get('status'));
    var full_url = url_string.replace(/\?.*/, '') + decrypt;
    var new_url = new URL(full_url);
    var paramAmount = parseInt(new_url.searchParams.get("success_amount"));
    var businessName = new_url.searchParams.get("business_name");
    var descriptor = new_url.searchParams.get("business_descriptor");
    var paramTransactionId = new_url.searchParams.get("transaction_id");
    var paramSuccessUrl = new_url.searchParams.get("after_url");
    document.getElementById('message').innerHTML = "A payment  will appear on your statement.";
    // if (descriptor != 'null') {
    //     document.getElementById('name').innerHTML = descriptor + ' ....................';
    // } else {
    //     document.getElementById('name').innerHTML = businessName + ' ....................';
    // }
    document.getElementById('amount').innerHTML = parseFloat(paramAmount / 100).toFixed(2);
    </script>
</body>

</html>