<?xml version="1.0" encoding="UTF-8"?>
<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">

    <url>
        <loc>{{ env('GOGRUBZ_APP_URL') }}</loc>
        <lastmod>{{ date(DATE_ATOM, strtotime(date('Y-m-d H:i:s'))) }}</lastmod>
        <changefreq>daily</changefreq>
        <priority>0.80</priority>
    </url>

    <url>
        <loc>{{ env('GOGRUBZ_APP_URL') . 'locations' }}</loc>
        <lastmod>{{ date(DATE_ATOM, strtotime(date('Y-m-d H:i:s'))) }}</lastmod>
        <changefreq>daily</changefreq>
        <priority>0.80</priority>
    </url>

    <url>
        <loc>{{ env('GOGRUBZ_APP_URL') . 'contact' }}</loc>
        <lastmod>{{ date(DATE_ATOM, strtotime(date('Y-m-d H:i:s'))) }}</lastmod>
        <changefreq>daily</changefreq>
        <priority>0.80</priority>
    </url>

    <url>
        <loc>{{ env('GOGRUBZ_APP_URL') . 'about' }}</loc>
        <lastmod>{{ date(DATE_ATOM, strtotime(date('Y-m-d H:i:s'))) }}</lastmod>
        <changefreq>daily</changefreq>
        <priority>0.80</priority>
    </url>

    <url>
        <loc>{{ env('GOGRUBZ_APP_URL') . 'add-restaurant' }}</loc>
        <lastmod>{{ date(DATE_ATOM, strtotime(date('Y-m-d H:i:s'))) }}</lastmod>
        <changefreq>daily</changefreq>
        <priority>0.80</priority>
    </url>

    <url>
        <loc>{{ env('GOGRUBZ_APP_URL') . 'terms-condition' }}</loc>
        <lastmod>{{ date(DATE_ATOM, strtotime(date('Y-m-d H:i:s'))) }}</lastmod>
        <changefreq>daily</changefreq>
        <priority>0.80</priority>
    </url>

    <url>
        <loc>{{ env('GOGRUBZ_APP_URL') . 'privacy-policy' }}</loc>
        <lastmod>{{ date(DATE_ATOM, strtotime(date('Y-m-d H:i:s'))) }}</lastmod>
        <changefreq>daily</changefreq>
        <priority>0.80</priority>
    </url>

    @foreach ($restaurants as $restaurant)
        <url>
            <loc>{{ env('GOGRUBZ_APP_URL') . $restaurant['city_id'] . '/' . $restaurant['seo_url'] . '/menus' }}</loc>
            <lastmod>{{ date(DATE_ATOM, strtotime($restaurant['modified'])) }}</lastmod>
            <changefreq>daily</changefreq>
            <priority>1.00</priority>
        </url>

        <url>
            <loc>{{ env('GOGRUBZ_APP_URL') . $restaurant['seo_url'] . '/reservation' }}</loc>
            <lastmod>{{ date(DATE_ATOM, strtotime($restaurant['modified'])) }}</lastmod>
            <changefreq>daily</changefreq>
            <priority>1.00</priority>
        </url>
    @endforeach
</urlset>
