<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Stripe Payment</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css"
        integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
</head>

<body>
    <div class="card mt-5 m-auto" style="width: 25rem;">
        <form action="#" method="POST" id="payment_form">
            <div class="card-body">
                <h5 class="card-title mb-3">Stripe Card Payment</h5>
                <input type="text" class="form-controls" name="amount" id="amount" placeholder="Amount"
                    value="10">
                <input type="text" class="form-controls" name="card_number" id="card_number"
                    placeholder="Card Number" value="4000000000003220">
                <input type="text" class="form-controls" name="expiary_month" id="expiary_month" maxlength="2"
                    placeholder="Expiry Month" value="10">
                <input type="text" class="form-controls" name="expiary_year" id="expiary_year" maxlength="2"
                    placeholder="Expiry Year" value="29">
                <input type="text" class="form-controls" name="cvv" id="cvv" maxlength="3"
                    placeholder="CVV" value="324">
                <button type="submit" class="btn btn-success mt-3">Submit</button>
            </div>
        </form>
    </div>
    <script src="https://code.jquery.com/jquery-3.7.1.min.js"
        integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous">
    </script>
    <script src="https://js.stripe.com/v3/"></script>
    <script src="http://192.168.1.23:8000/ubsidi-library.js"></script>
    <script>
        var ubsidi = new Ubsidi('tpk_hNXWGmKvXr7HqqsJ9MMG4kWZqkjO3u16');

        $('#payment_form').on('submit', function(e) {
            e.preventDefault();

            var amount = $('#amount').val();
            var cardNumber = $('#card_number').val();
            var expiryMonth = $('#expiary_month').val();
            var expiryYear = $('#expiary_year').val();
            var cvv = $('#cvv').val();

            ubsidi.createCardToken(cardNumber, expiryMonth, expiryYear, cvv);

            // $.ajax({
            //     url: 'http://192.168.1.42:8000/api/ubsidi/create-payment-schema',
            //     type: 'POST',
            //     data: {
            //         amount: amount,
            //         card_number: cardNumber,
            //         expiry_month: expiryMonth,
            //         expiry_year: expiryYear,
            //         cvv: cvv,
            //     },
            //     success: function(response) {
            //         console.log(response.data);
            //     },
            //     error: function(response) {
            //         console.error(response.message);
            //     }
            // });

            // ubsidi.createPaymentSchema(amount, cardNumber, expiryMonth, expiryYear, cvv);
        });
    </script>
</body>

</html>
