<?php
require_once('vendor/autoload.php'); // Include Stripe PHP SDK

// Initialize Stripe with your secret key
\Stripe\Stripe::setApiKey('sk_test_5J87rf5MsZJYIK36Jt9bveuI');

// Get the payment method ID from the client-side
$payment_method_id = json_decode(file_get_contents('php://input'), true)['payment_method_id'];

try {
    // Create a payment intent
    $intent = \Stripe\PaymentIntent::create([
        'payment_method' => $payment_method_id,
        'amount' => 1000, // Amount in cents (e.g., $10.00)
        'currency' => 'usd',
        'confirmation_method' => 'manual',
        'confirm' => true,
    ]);

    // Payment successful, return charge ID
    header('Content-Type: application/json');
    echo json_encode(['charge_id' => $intent->charges->data[0]->id]);
} catch (\Stripe\Exception\CardException $e) {
    // Payment failed, return error message
    header('Content-Type: application/json', true, $e->getHttpStatus());
    echo json_encode(['error' => $e->getError()->message]);
}
?>
