<?php

namespace App;

use App\Http\Controllers\SiteSettingController;
use Carbon\Carbon;
use DateTime;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Log;

class AamarpayTransaction extends Model
{
    protected $fillable = [
        'business_id',
        'txn_id',
        'merchant_id',
        'description',
        'amount',
        'currency',
        'currency_merchant',
        'status',
        'type',
        'card_type',
        'created',
        'merchant_card_processing_fee',
        'merchant_card_processing_ratio',
        'charges_refundable',
    ];
}
