<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class BacsDirect extends Model
{
    protected $table = "business_bacs_direct";
    protected $fillable = [
        'business_id',
        'title',
        'time_period',
        'sort_code',
        'account_number',
        'start_date',
        'end_date',
        'amount',
        'last_transaction_date',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = [];
}
