<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Log;

class BusinessCardWallet extends Model
{
    protected $fillable = [
        'business_id',
        'brand_id',
        'holder_name',
        'card_number',
        'exp_month',
        'exp_year',
        'disabled',
        'created_at',
        'updated_at',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = ['disabled' => 'bool',];

    // Attributes
    //
}
