<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class BusinessPermission extends Model
{
    protected $fillable = [
        'business_id',
        'role',
        'payworks',
        'tips',
        'archive',
        'archive_list',
        'moto_service',
        'transaction_list',
        'print',
        'refund',
        'refund_list',
        'recent_list',
        'statement',
    ];
    protected $casts = [
        'payworks' => 'bool',
        'tips' => 'bool',
        'archive' => 'bool',
        'archive_list' => 'bool',
        'moto_service' => 'bool',
        'transaction_list' => 'bool',
        'print' => 'bool',
        'refund' => 'bool',
        'refund_list' => 'bool',
        'recent_list' => 'bool',
        'statement' => 'bool',
    ];
}
