<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class BusinessSurcharge extends Model
{
    protected $fillable = [
        'business_id',
        'name',
        'interval',
        'surcharge',
        'type', //Normal, Archive
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = ['surcharge' => 'double', 'disabled' => 'bool'];

    // Attributes
    //
}
