<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class CardBrandCommissionHistory extends Model
{
    protected $table = "card_brand_commission_history";
    protected $fillable = [
        'stripe_transaction_id',
        'stripe_percentage',
        'stripe_fixed',
    ];
    protected $hidden = ['updated_at'];
    protected $casts = ['other' => 'bool', 'paypal_percentage' => 'double', 'paypal_fixed' => 'double', 'stripe_percentage' => 'double', 'stripe_fixed' => 'double'];
}
