<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class CardHolder extends Model
{
    protected $fillable = [
        'business_id',
        'holder_id',
        'email',
        'phone_number',
        'name',
        'city',
        'country',
        'line1',
        'postal_code',
        'line2',
        'state',
        'company',
        'individual',
        'livemode',
        'type',
        'status',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = ['livemode' => 'bool'];

    // Attributes
    //
}
