<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class CaxtonBeneficiary extends Model
{
    protected $fillable = [
        'user_id',
        'business_id',
        'beneficiary_id',
        'name',
        'bank_name',
        'reference',
        'address1',
        'address2',
        'email',
        'phone',
        'country',
        'currency',
        'iban',
        'swift',
        'sortCode',
        'account_number',
        'archive',
        'notes',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = [
        'archive' => 'bool',
    ];

    // Attributes
    //
}