<?php

namespace App;

use App\Helpers\ImageHelper;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Log;

class HardwareVoucher extends Model
{
    protected $fillable = [
        'product_id',
        'voucher_code',
        'voucher_amount',
        'minimum_order_value',
        'start_date',
        'end_date',
        'created_at',
        'updated_at',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = ['disabled' => 'bool', 'voucher_amount' => 'float', 'minimum_order_value' => 'float', 'applied' => 'bool'];
}
