<?php

namespace App\Helpers;

use App\Otp;
use GuzzleHttp\Client;
use Illuminate\Support\Facades\Log;

class PushIosNotificationHelper
{
    public static function sendNotification($message, $gcmId, $order_id, $order_type, $notification_section)
    {
        $tCert = 'images/epos_production.pem';
        $tPassphrase = '2018786';

        $tToken = $gcmId;
        $tAlert = ''; //$message;
        $tBadge = 0;
        $tSound = 'default';

        $tBody['aps'] = array(
            'alert' => $tAlert,
            'badge' => $tBadge,
            // 'sound' => $tSound,
            'content-available' => 1,
        );

        $tBody['order_id'] = $order_id;
        $tBody['order_type'] = $order_type;
        $tBody['notification_for'] = 'epos';
        $tBody['notification_section'] = $notification_section;
        $tBody = json_encode($tBody);

        $url = "https://api.development.push.apple.com/3/device/$tToken"; // OR $url = "https://api.push.apple.com/3/device/$tToken";
        $apns_topic = 'com.ubsidi';

        // $ch = curl_init($url);
        // curl_setopt($ch, CURLOPT_POSTFIELDS, $tBody);
        // curl_setopt($ch, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_2_0);
        // curl_setopt($ch, CURLOPT_HTTPHEADER, array("apns-topic: $apns_topic"));
        // curl_setopt($ch, CURLOPT_SSLCERT, $tCert);
        // curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
        // curl_setopt($ch, CURLOPT_HEADER, 1);
        // curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        // curl_setopt($ch, CURLOPT_SSLCERTPASSWD, $tPassphrase);
        // $response = curl_exec($ch);
        // return $response;
        return true;
    }
}
