<?php

namespace App\Http\Controllers;

use App\Helpers\Utils;
use App\Http\Controllers;
use App\ModelsTiffintom\TiffintomRestaurant;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use Illuminate\Validation\Rule;
use Laravel\Lumen\Routing\Controller as BaseController;

class SitemapController extends BaseController
{
    public function index()
    {
        $restaurants = TiffintomRestaurant::where('status', '1')->get();
        $xml = view('sitemap', ['restaurants' => $restaurants])->render();
        return response($xml)->header('Content-Type', 'text/xml');
    }
}
