<?php

namespace App\Http\Controllers\Tiffintom;

use App\Helpers\Utils;
use App\Http\Controllers\Controller;
use App\ModelsTiffintom\TiffintomBankDetail;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

class TiffintomBankDetailController extends Controller
{
    public function create_update(Request $req)
    {
        $this->validate($req, [
            'restaurant_id' => 'required|exists:tiffintom_connection.restaurants,id',
            'bank_name' => 'string',
            'account_name' => 'string',
            'account_type' => 'string',
            'account_number' => 'string',
            'sort_code' => 'string',
        ]);
        $restaurantBankDetail = TiffintomBankDetail::where('restaurant_id', $req->input('restaurant_id'))->first();
        if (empty($restaurantBankDetail)) {
            $restaurantBankDetail = new TiffintomBankDetail();
        }
        $restaurantBankDetail->fill($req->all());
        $restaurantBankDetail->save();
        return $restaurantBankDetail;
    }
}
