<?php

namespace App;

use App\Helpers\ImageHelper;
use Illuminate\Database\Eloquent\Model;

class InvoicePayment extends Model
{
    protected $fillable = [
        'invoice_id',
        'payment_mode',
        'amount',
        'reference',
        'archived',
        'txn_id',
        'updater_id',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = [
        'amount' => 'double',
        'archived' => 'bool'
    ];

    // Attributes
    //
}
