<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class InvoiceTransaction extends Model
{
    protected $fillable = [
        'payout_invoice_id',
        'order_id',
        'restaurant_id',
        'txn_id',
        'order_date',
        'order_type',
        'order_status',
        'payment_method',
        'country',
        'card_brand',
        'card_number',
        'country_charges',
        'card_brand_charge',
        'processing_fee',
        'auth_fee',
        'handling_fee',
        'management_fee',
        'payment_method_fees',
        'order_type_wise_commission',
        'order_type_wise_service_charge',
        'order_based_or_transaction_wise_charge',
        'order_grand_total',
        'total_fee',
        'net_total',
        'mode', //live,test
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];

    // Attributes
    //
}
