<?php

namespace App\Jobs;

use Carbon\Carbon;
use Illuminate\Support\Facades\Log;

class PrintJob extends Job
{
    /**
     * Create a new job instance.
     *
     * @return void
     */
    public $dispatchTime;
    public function __construct($dispatchTime)
    {
        $this->dispatchTime = $dispatchTime;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        Log::error("Print Time : " . Carbon::now() . " Queue Placed at: " . $this->dispatchTime);
    }
}
