<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class MiscCharge extends Model
{
    protected $fillable = [
        'amount',
        'business_id',
        'description',
        'date',
        'archived',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = ['amount' => 'double', 'archived' => 'bool'];

    // Attributes
    //
}
