<?php

namespace App\ModelsEpos;

use Illuminate\Database\Eloquent\Model;

class EposCallLog extends Model
{
    protected $table = 'call_logs';
    protected $connection = "epos_connection";
    protected $fillable = [
        'customer_id',
        'number',
        'device_id',
        'status',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = ['customer'];
    public function getCustomerAttribute()
    {
        return $this->customer();
    }
    public function customer()
    {
        return EposCustomer::where('id', $this->customer_id)->first();
    }
}
