<?php

namespace App\ModelsEpos;

use Illuminate\Database\Eloquent\Model;

class EposIngredient extends Model
{
    protected $table = 'ingredients';
    protected $connection = "epos_connection";
    protected $fillable = [
        'name',
        'price',
        'price_without',
        'sequence',
    ];
    protected $hidden = ['updated_at'];
    protected $casts = ['price' => 'double', 'price_without' => 'double'];
}
