<?php

namespace App\ModelsEpos;

use App\Helpers\ImageHelper;
use Illuminate\Database\Eloquent\Model;

class EposOrderLog extends Model
{
    protected $table = 'order_logs';
    protected $connection = "epos_connection";
    protected $fillable = [
        'log_file',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = ['file_url'];
    protected $casts = [];

    public function getFileUrlAttribute()
    {
        return ImageHelper::getServerImageUrl(ImageHelper::$TYPE_EPOS_ORDER_LOG, $this->log_file);
    }
}
