<?php

namespace App\ModelsEpos;

use App\Helpers\ImageHelper;
use Illuminate\Database\Eloquent\Model;

class EposPrintBlock extends Model
{
    protected $table = 'print_blocks';
    protected $connection = "epos_connection";
    protected $fillable = [
        'name',
        'sequence',
    ];
    protected $hidden = ['updated_at'];
    protected $casts = ['disabled' => 'bool'];

    public function getAssignPrintBlockAttribute()
    {
        $PrintBlockAssign = $this->assign_print_block();
        return $PrintBlockAssign;
    }
    public function assign_print_block()
    {
        $PrintBlockAssign = EposPrintBlockAssign::where('print_block_id', $this->id)->get();
        return $PrintBlockAssign;
    }
}
