<?php

namespace App\ModelsEpos;

use Illuminate\Database\Eloquent\Model;

class EposPrintSetting extends Model
{
    protected $table = 'print_settings';
    protected $connection = "epos_connection";
    protected $fillable = [
        'name',
        'service',
        'print_structure'
    ];
    protected $casts = ['print_structure' => 'json'];
    protected $hidden = ['updated_at'];
}
