<?php

namespace App\ModelsEpos;

use App\Helpers\ImageHelper;
use Illuminate\Database\Eloquent\Model;

class EposProductIngredient extends Model
{
    protected $table = "product_ingredients";
    protected $connection = "epos_connection";

    protected $fillable = [
        'product_id',
        'ingredient_id',
        'with',
        'without',
        'sequence',
    ];
    protected $hidden = ['password', 'updated_at'];
    protected $casts = ['disabled' => 'bool', 'with' => 'bool', 'without' => 'bool', 'sequence' => 'int', 'contain' => 'bool'];
}
