<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomAddressBook extends Model
{
    protected $table = "address_books";
    protected $connection = "tiffintom_connection";
    protected $casts = [
        'status' => 'bool',
    ];
    protected $fillable = [
        'id',
        'user_id',
        'title',
        'flat_no',
        'address',
        'latitude',
        'longitude',
        'zipcode',
        'delete_status',
    ];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';
}
