<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomDineinMenuVariant extends Model
{
    protected $table = "dinein_menu_details";
    protected $connection = "tiffintom_connection";
    protected $casts = [];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';

    public function getMainAddonsAttribute()
    {
        $mainAddonIds = TiffintomDineinMenuAddons::select("mainaddons_id")->where('menudetails_id', $this->id)->groupBy('mainaddons_id')->get();
        if (!$mainAddonIds->isEmpty()) {
            return TiffintomDineinMainAddon::whereIn('id', $mainAddonIds)->orderBy('sortorder', 'ASC')->get();
        }
        return null;
    }
}
