<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomMessage extends Model
{
    protected $table = "messages";
    protected $connection = "tiffintom_connection";
    protected $casts = [
        'status' => 'bool',
        'mobile' => 'bool',
        'sms_plan' => 'integer',
    ];
    protected $fillable = [
        'number',
        'sms_plan',
        'number_count',
        'type',
        'minimum_digit',
        'maximum_digit',
        'device_type',
        'status',
        'delete_status',
    ];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'created';
}
