<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomMetaTag extends Model
{
    protected $table = "review_metatag";
    protected $connection = "tiffintom_connection";
    protected $fillable = [
        'id',
        'restaurant_id',
        'review_meta_title',
        'review_meta_title',
        'review_meta_keyword',
        'review_meta_description',
        'booking_meta_title',
        'booking_meta_keyword',
        'booking_meta_description',
        'info_meta_title',
        'info_meta_keyword',
        'info_meta_description',
        'offer_meta_title',
        'offer_meta_keyword',
        'offer_meta_description',
        'android_link',
        'ios_link',
    ];
    protected $casts = [];
    protected $hidden = [];
    const CREATED_AT = 'created';
}
