<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomOffer extends Model
{
    protected $table = "offers";
    protected $connection = "tiffintom_connection";
    protected $casts = [
        'status' => 'bool',
        'delivery_type' => 'bool',
        'pickup_type' => 'bool',
        'dinein_type' => 'bool'
    ];
    protected $fillable = [
        'id',
        'resid',
        'first_user',
        'normal',
        'free_percentage',
        'free_price',
        'normal_percentage',
        'normal_price',
        'delivery_type',
        'pickup_type',
        'dinein_type',
        'offer_mode',
        'offer_from',
        'offer_to',
        'status',
    ];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';
}
