<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomPrintBlock extends Model
{
    protected $table = 'print_block';
    protected $connection = "tiffintom_connection";
    protected $fillable = [
        'restaurant_id',
        'name',
        'sequence',
    ];
    protected $casts = [];
    protected $hidden = ['modified'];

    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';

    public function getAssignPrintBlockAttribute()
    {
        $PrintBlockAssign = $this->assign_print_block();
        return $PrintBlockAssign;
    }
    public function assign_print_block()
    {
        $PrintBlockAssign = TiffintomPrintBlockAssign::where('print_block_id', $this->id)->get();
        return $PrintBlockAssign;
    }
}
