<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomReferral extends Model
{
    protected $table = "referrals";
    protected $connection = "tiffintom_connection";
    protected $casts = [];
    protected $fillable = [
        'id',
        'referral_option',
        'referral_type',
        'invite_amount',
        'receive_amount',
        'minimum_order',
    ];
    protected $hidden = ['modified'];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';
}
