<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomRestaurantPaymentMethod extends Model
{
    protected $table = "restaurant_payments";
    protected $connection = "tiffintom_connection";
    protected $casts = [
        'status' => 'bool'
    ];
    protected $fillable = [
        'id',
        'restaurant_id',
        'payment_id',
        'payment_status',
        'android_status',
        'ios_status',
        'dinein_android_status',
        'dinein_ios_status',
    ];
    protected $hidden = ['created', 'modified'];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';
}
