<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomRestaurantTiming extends Model
{
    protected $table = "restaurant_timings";
    protected $connection = "tiffintom_connection";
    protected $fillable = [
        'id',
        'restaurant_id',
        'pick_working_time',
        'pick_monday_first_opentime',
        'pick_monday_first_closetime',
        'pick_monday_second_opentime',
        'pick_monday_second_closetime',
        'pick_tuesday_first_opentime',
        'pick_tuesday_first_closetime',
        'pick_tuesday_second_opentime',
        'pick_tuesday_second_closetime',
        'pick_wednesday_first_opentime',
        'pick_wednesday_first_closetime',
        'pick_wednesday_second_opentime',
        'pick_wednesday_second_closetime',
        'pick_thursday_first_opentime',
        'pick_thursday_first_closetime',
        'pick_thursday_second_opentime',
        'pick_thursday_second_closetime',
        'pick_friday_first_opentime',
        'pick_friday_first_closetime',
        'pick_friday_second_opentime',
        'pick_friday_second_closetime',
        'pick_saturday_first_opentime',
        'pick_saturday_first_closetime',
        'pick_saturday_second_opentime',
        'pick_saturday_second_closetime',
        'pick_sunday_first_opentime',
        'pick_sunday_first_closetime',
        'pick_sunday_second_opentime',
        'pick_sunday_second_closetime',
        'pick_monday_status',
        'pick_tuesday_status',
        'pick_wednesday_status',
        'pick_thursday_status',
        'pick_friday_status',
        'pick_saturday_status',
        'pick_sunday_status',
    ];
    protected $casts = [];
    protected $hidden = ['created_date'];
    const CREATED_AT = 'created_date';
    const UPDATED_AT = 'created_date';
}
