<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomReview extends Model
{
    protected $table = "reviews";
    protected $connection = "tiffintom_connection";
    protected $casts = [
        'rating' => 'integer',
    ];
    protected $fillable = [
        'order_id',
        'restaurant_id',
        'customer_id',
        'rating',
        'message',
        'responce',
        'order_type',
    ];
    protected $hidden = ['modified'];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';
}
