<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomReward extends Model
{
    protected $table = "rewards";
    protected $connection = "tiffintom_connection";
    protected $casts = [];
    protected $fillable = [
        'reward_option',
        'reward_amount',
        'reward_point',
        'reward_totalpoint',
        'reward_validity',
        'value_type',
        'miximum_value',
        'minimum_order',
        'redeem_order',
    ];
    protected $hidden = ['created_date'];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';
}
