<?php

namespace App\ModelsTiffintom;

use Illuminate\Database\Eloquent\Model;

class TiffintomStripeCustomer extends Model
{
    protected $table = "stripe_customers";
    protected $connection = "tiffintom_connection";
    protected $casts = [
        'status' => 'bool',
    ];
    protected $fillable = [
        'id',
        'customer_id',
        'customer_name',
        'stripe_token_id',
        'stripe_customer_id',
        'card_id',
        'card_number',
        'card_brand',
        'card_type',
        'exp_month',
        'exp_year',
        'country',
        'client_ip',
        'service_type',
    ];
    const CREATED_AT = 'created';
    const UPDATED_AT = 'modified';
}
