<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class PlanProduct extends Model
{
    protected $fillable = [
        'name',
        'description',
        'service_type',
        'price',
        'price_available',
        'recurring_type',
        'recurring_price',
        'recurring_available',
        'quantity',
        'discount',
        'disabled',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = [
        'price_available' => 'bool',
        'recurring_available' => 'bool',
        'disabled' => 'bool',
        'price' => 'double',
        'recurring_price' => 'double',
    ];

    // Attributes
    //
}
