<?php

namespace App;

use App\Helpers\ImageHelper;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Log;

class Position extends Model
{
    protected $fillable = [
        'name',
        'disabled',
        'created_at',
        'updated_at',
    ];
    protected $hidden = ['updated_at'];
    protected $appends = [];
    protected $casts = [
        'disabled' => 'bool',
    ];
}
