<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Postcode extends Model
{
    protected $connection = "postcode";
    protected $table = "postcode";
    public $timestamps = false;
    protected $fillable = [
        'thorough_fare',
        'street',
        'double_dependent_locality',
        'dependent_locality',
        'post_town',
        'post_code',
        'post_code_type',
        'latitude',
        'status',
        'longitude',
    ];
    protected $casts = ['latitude' => 'float', 'longitude' => 'float'];
}
