<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddRecurringChargesToPayoutInvoicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('payout_invoices', function (Blueprint $table) {
            $table->double('weekly_fee')->default(0)->after('misc_charge');
            $table->double('monthly_fee')->default(0)->after('weekly_fee');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('payout_invoices', function (Blueprint $table) {
            $table->drop('weekly_fee');
            $table->drop('monthly_fee');
        });
    }
}
