<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddReferenceEntityToPassbookTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('passbook', function (Blueprint $table) {
            $table->unsignedBigInteger('ref_entity_id')->after('entity')->nullable();
            $table->enum('ref_entity', ['payout_invoice', 'payout_request', 'reseller_payout_invoice', 'reseller_payout_request', 'misc_invoice'])->after('ref_entity_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('passbook', function (Blueprint $table) {
            //
        });
    }
}
