<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddPayoutSettingsToConnectAccountsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('connect_accounts', function (Blueprint $table) {
            $table->string('schedule_interval')->nullable()->after('country');
            $table->integer('schedule_delay_days')->default(7)->after('schedule_interval');
            $table->string('schedule_weekly_anchor')->nullable()->after('schedule_delay_days');
            $table->string('schedule_monthly_anchor')->nullable()->after('schedule_weekly_anchor');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('connect_accounts', function (Blueprint $table) {
            //
        });
    }
}
