<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDeviceTokenToDeviceRegistrationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('device_registrations', function (Blueprint $table) {
            $table->string('device_token')->nullable()->after('device_id');
            $table->string('name')->comment('device nick name')->nullable()->after('device_token');
            $table->boolean('web_order')->default(0)->after('status');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('device_registrations', function (Blueprint $table) {
            //
        });
    }
}
