<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddProductIdToHardwareOrderItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('hardware_order_items', function (Blueprint $table) {
            $table->unsignedBigInteger('product_id')->after('id');

            $table->foreign('product_id')->references('id')->on('hardware_products')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('hardware_order_items', function (Blueprint $table) {
            //
        });
    }
}
