<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTypeProofToIdProofsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('id_proofs', function (Blueprint $table) {
            $table->enum('type_proof', ['id_proof', 'address_proof'])->default('id_proof')->after('type');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('id_proofs', function (Blueprint $table) {
            //
        });
    }
}
