<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddExcludeToHardwareProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('hardware_products', function (Blueprint $table) {
            $table->integer('tax_amount')->default(0)->after('description');
            $table->boolean('is_exclude')->default(0)->after('tax_amount');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('hardware_products', function (Blueprint $table) {
            //
        });
    }
}
