<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCardStateToCaxtonCardsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('caxton_cards', function (Blueprint $table) {
            $table->string('card_state')->nullable('Inactive')->after('gps_token');
            $table->string('activation_token')->nullable()->after('card_state');
            $table->integer('index1')->default(0)->after('activation_token');
            $table->integer('index2')->default(0)->after('index1');
            $table->integer('index3')->default(0)->after('index2');
            $table->integer('index4')->default(0)->after('index3');
            $table->integer('Index5')->default(0)->after('index4');
            $table->integer('Index6')->default(0)->after('index5');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('caxton_cards', function (Blueprint $table) {
            //
        });
    }
}