<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddBusinessIdToCaxtonWalletsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('caxton_wallets', function (Blueprint $table) {
            $table->unsignedBigInteger('business_id')->nullable()->after('name');

            $table->foreign('business_id')->references('id')->on('businesses')->onDelete('set NULL');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('caxton_wallets', function (Blueprint $table) {
            //
        });
    }
}
