<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCaxtonFeeToBusinessCommissionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('business_commissions', function (Blueprint $table) {
            $table->enum('transfer_charge_type', ['flat', 'percentage'])->default('percentage')->after('auto_fee');
            $table->double('transfer_charge')->default(0)->after('transfer_charge_type');

            $table->double('minimum_transfer_charge')->default(0)->after('transfer_charge');
            $table->double('transfer_charge_back')->default(0)->after('minimum_transfer_charge');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('business_commissions', function (Blueprint $table) {
            //
        });
    }
}
