<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDaysToStandingInstructionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('standing_instructions', function (Blueprint $table) {
            $table->enum('standing_type', ['weekly', 'monthly'])->default('monthly')->after('amount');
            $table->string('days')->after('expiry_date');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('standing_instructions', function (Blueprint $table) {
            //
        });
    }
}
