<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddStatusToPouchHistoryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('pouch_history', function (Blueprint $table) {
            $table->double('fee')->default(0)->after('credit_amount');
            $table->enum('status', ['Pending', 'Accepted', 'Rejected'])->default('Pending')->after('is_admin');
            $table->string('status_description')->nullable()->after('status');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('pouch_history', function (Blueprint $table) {
            //
        });
    }
}
