<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSenderIdToRestaurantsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('tiffintom_connection')->table('restaurants', function (Blueprint $table) {
            $table->string('sms_sender_id', 11)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('tiffintom_connection')->table('restaurants', function (Blueprint $table) {
            $table->dropColumn('sms_sender_id');
        });
    }
}
