<?php

namespace Database\Seeders;

use App\ModelsEpos\EposOrderAction;
use Illuminate\Database\Seeder;

class OrderActionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $items = [
            ['id' => 1, 'action' => 'SendOrder', 'top_color' => '#000000', 'bottom_color' => '#000000'],
            ['id' => 2, 'action' => 'SendDuplicateOrder', 'top_color' => '#000000', 'bottom_color' => '#000000'],
            ['id' => 3, 'action' => 'SendOrderUpdate', 'top_color' => '#000000', 'bottom_color' => '#000000'],
            ['id' => 4, 'action' => 'SendDuplicateOrderUpdate', 'top_color' => '#000000', 'bottom_color' => '#000000'],
            ['id' => 5, 'action' => 'PrintReceipt', 'top_color' => '#000000', 'bottom_color' => '#000000'],
            ['id' => 6, 'action' => 'PrintAll', 'top_color' => '#000000', 'bottom_color' => '#000000'],
        ];
        foreach ($items as $item) {
            EposOrderAction::updateOrCreate(['id' => $item['id']], $item);
        }
    }
}
