<?php

namespace Database\Seeders;

use App\ModelsEpos\EposOrderType;
use Illuminate\Database\Seeder;

class OrderTypeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $items = [
            ['id' => 1, 'type' => 'Dine In', 'top_color' => '#ffffff', 'bottom_color' => '#000000'],
            ['id' => 2, 'type' => 'Collection', 'top_color' => '#ffffff', 'bottom_color' => '#000000'],
            ['id' => 3, 'type' => 'Delivery', 'top_color' => '#ffffff', 'bottom_color' => '#000000'],
            ['id' => 4, 'type' => 'Bar', 'top_color' => '#ffffff', 'bottom_color' => '#000000'],
            ['id' => 5, 'type' => 'Waiting', 'top_color' => '#ffffff', 'bottom_color' => '#000000'],
            ['id' => 6, 'type' => 'Web Order', 'top_color' => '#ffffff', 'bottom_color' => '#000000'],
        ];
        foreach ($items as $item) {
            EposOrderType::updateOrCreate(['id' => $item['id']], $item);
        }
    }
}
