<?php

namespace Database\Seeders;

use App\ModelsEpos\EposPaymentMethod;
use Illuminate\Database\Seeder;

class PaymentMethodSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $items = [
            ['id' => 1, 'name' => 'Cash'],
            ['id' => 2, 'name' => 'Credit Card Manual'],
            ['id' => 3, 'name' => 'Cheque'],
            ['id' => 4, 'name' => 'Account'],
            ['id' => 5, 'name' => 'Voucher'],
            ['id' => 6, 'name' => 'Loyalty Point'],
            ['id' => 7, 'name' => 'Complimentry'],
            ['id' => 8, 'name' => 'Refund'],
            ['id' => 9, 'name' => 'Credit Card TT'],
            ['id' => 10, 'name' => 'Credit Card Moto'],
            ['id' => 11, 'name' => 'Pay By Link'],
        ];
        foreach ($items as $item) {
            EposPaymentMethod::updateOrCreate(['id' => $item['id']], $item);
        }
    }
}
