<?php

namespace Database\Seeders;

use App\ModelsEpos\EposPrinterModel;
use Illuminate\Database\Seeder;

class PrinterModelSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $items = [
            ['id' => 1, 'name' => 'Yoke4 POS80'],
            ['id' => 2, 'name' => 'ODP300 Dot'],
            ['id' => 3, 'name' => 'POS-80 11.3.0.1'],
            ['id' => 4, 'name' => 'AB-88 H'],
            ['id' => 5, 'name' => 'KP-80'],
        ];
        foreach ($items as $item) {
            EposPrinterModel::updateOrCreate(['id' => $item['id']], $item);
        }
    }
}
