<?php

namespace Database\Seeders;

use App\ModelsEpos\EposReservation;
use App\ModelsEpos\EposReservationStatus;
use Illuminate\Database\Seeder;

class ReservationStatusSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $items = [
            ['id' => 1, 'status' => 'Confirm', 'top_color' => '#000000', 'bottom_color' => '#000000'],
            ['id' => 2, 'status' => 'Cancel', 'top_color' => '#000000', 'bottom_color' => '#000000'],
        ];
        foreach ($items as $item) {
            EposReservationStatus::updateOrCreate(['id' => $item['id']], $item);
        }
    }
}
