<?php

namespace Database\Seeders;

use App\ModelsEpos\EposUserGroup;
use Illuminate\Database\Seeder;

class UserGroupSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $items = [
            ['id' => 1, 'name' => 'Management'],
            ['id' => 2, 'name' => 'Waiter'],
        ];
        foreach ($items as $item) {
            EposUserGroup::updateOrCreate(['id' => $item['id']], $item);
        }
    }
}
